WSCONSCFG(8) | System Manager's Manual | WSCONSCFG(8)

# NAME

`wsconscfg` — configure and switch between virtual terminals on a wscons display

# SYNOPSIS

`wsconscfg` | [`-e` emul] [`-f` ctldev] [`-t` type] index

`wsconscfg` | `-d` [`-F`] [`-f` ctldev] index

`wsconscfg` | `-g` [`-f` ctldev]

`wsconscfg` | `-k` | `-m` [`-d`] [`-f` ctldev] [index]

`wsconscfg` | `-s` [`-f` ctldev] index

# DESCRIPTION

The `wsconscfg` tool allows to create, delete and switch between virtual terminals on display devices controlled by the wscons terminal framework if the underlying display hardware driver supports multiple screens. Further it controls the assignment of keyboards to displays. The index argument specifies which virtual terminal is to be configured; the allowed numbers are from 0 to an implementation-specified value (currently 7, allowing for 8 virtual terminals on a display). In keyboard configuration mode, it specifies the wskbd(4) device to attach or detach. Without further option arguments, a virtual terminal is created with implementation specific properties and a default terminal emulation variant selected at kernel compile time.

The options are:

`-d`
  Delete the specified terminal. A terminal opened by a program will not be deleted unless the `-F` option is applied. Terminals used by the operating system console or a graphics program (X server) cannot be deleted. With the `-k` flag, the keyboard specified by index will be detached from the wscons display. With the `-m` flag, the multiplexor specified by index will be detached from the wscons display.
`-e` emul
  Specify the terminal emulation to use for the virtual terminal. The set of available terminal emulations is determined at kernel compile time. See wscons(4) for details.
`-F`
  Force deleting of a terminal even if it is in use by a user space program.
`-f` ctldev
  Specify the control device of the wscons display to operate on. Default is /dev/ttyEcfg.
`-g`
  Print the index of the current virtual terminal.
`-k`
  Do keyboard related operations instead of virtual screen configuration. Without other flags, a keyboard will be attached to the display device. The index argument can be omitted, in this case the first free keyboard will be used.
`-m`
  Do multiplexor related operations instead of virtual screen configuration. Without other flags, a multiplexor will be attached to the display device.
`-s`
  Switch to the specified virtual terminal.
`-t` type
  Specify a screen type to use. Screen types refer to display format, colour depth and other low-level display properties. Valid type arguments are defined by the underlying display device driver.

Typically, the `wsconscfg` utility will be invoked in system startup by the /etc/rc.d/wscons script, controlled by the /etc/wscons.conf configuration file.

# FILES

/etc/wscons.conf

# EXAMPLES

`wsconscfg -t 80x50 -e vt100 1`

Configure screen 1 (i.e., the second), it will get the type ‘`80x50`’ and use the VT100 terminal emulation. (Note: ‘`80x50`’ is a screen type offered by the vga(4) display driver. In this particular case, an 8×8-font must be loaded before to make the screen useful. See wsfontload(8).)

`wsconscfg -k`

Connect the first unconnected keyboard to the display.

`wsconscfg 3`

Create screen 3.

`wsconscfg -d 3`

Delete screen 3.

`wsconscfg -s 2`

Switch to screen 2.

# SEE ALSO

wscons(4), wskbd(4), wsconsctl(8), wsfontload(8)

# BUGS

There should be an easy way to get a list of the screen types available on a display, and of the emulations supported by the kernel.

June 24, 2006 | NetBSD 10.99